Summary:	Inter-toolkit configuration settings library
Summary(pl.UTF-8):	Biblioteka ustawień dzielonych między toolkitami
Name:		libxsettings-client
Version:	0.17
Release:	4
License:	MIT
Group:		X11/Libraries
Source0:	http://gpe.linuxtogo.org/download/source/%{name}-%{version}.tar.bz2
# Source0-md5:	2c052bbe613d2d83abad391824b217ad
Patch0:		%{name}-opt.patch
URL:		http://freedesktop.org/wiki/Software/xsettings
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	gtk-doc-automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xorg-lib-libX11-devel
Provides:	Xsettings-client = %{version}-%{release}
Obsoletes:	Xsettings-client < 0.17-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The intent of XSETTINGS protocol is to provide a mechanism to allow
the configuration of settings such as double click timeout,
drag-and-drop threshold, and default foreground and background colors
for all applications running within a desktop.

This package contains XSETTINGS client library.

%description -l pl.UTF-8
Celem protokołu XSETTINGS jest dostarczenie mechanizmu pozwalającego
na konfigurację ustawień takich jak czas podwójnego kliknięcia, próg
przeciągania i upuszczania czy domyślne kolory obrazu i tła dla
wszystkich aplikacji działających na pulpicie.

Ten pakiet zawiera bibliotekę kliencką XSETTINGS.

%package devel
Summary:	Header files for libXsettings-client library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXsettings-client
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Provides:	Xsettings-client-devel = %{version}-%{release}
Obsoletes:	Xsettings-client-devel < 0.17-1

%description devel
Header files for libXsettings-client library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libXsettings-client.

%package static
Summary:	Static libXsettings-client library
Summary(pl.UTF-8):	Statyczna biblioteka libXsettings-client
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	Xsettings-static = %{version}-%{release}
Obsoletes:	Xsettings-static

%description static
Static libXsettings-client library.

%description static -l pl.UTF-8
Statyczna biblioteka libXsettings-client.

%package apidocs
Summary:	libXsettings-client API documentation
Summary(pl.UTF-8):	Dokumentacja API libXsettings-client
License:	LGPL v2.1+
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libXsettings-client API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libXsettings-client.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXsettings-client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXsettings-client.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXsettings-client.so
%{_libdir}/libXsettings-client.la
%{_includedir}/xsettings-*.h
%{_pkgconfigdir}/libxsettings-client.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXsettings-client.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libXsettings-client
%changelog
* Tue Feb 04 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libxsettings-client.git;a=log;h=master

* Tue Feb 04 2014 Elan Ruusamäe <glen@delfi.ee> ef88b02
- avoid self-obsoletion

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3cbf4b8
- BR gtk-doc-automake
- ghost soname symlink
- rel 3

* Fri Jan 01 2010 sparky <sparky@pld-linux.org> 15dfe7d
- BuildRoot capitalization

* Tue Feb 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 89c25e0
- License is MIT-style

* Wed Jun 20 2007 Jakub Bogusz <qboosh@pld-linux.org> 724af00
- yet another packaging of xsettings-client library (newer than Xsettings-client.spec)

* Wed Jun 20 2007 Jakub Bogusz <qboosh@pld-linux.org> de4b287
- based on Xsettings-client-opt.patch

